Bug 222965 - Incorrect include of koffice_export.h in /usr/include/kdchart_export.h
Summary: Incorrect include of koffice_export.h in /usr/include/kdchart_export.h
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: koffice   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-17 06:07 UTC by Jerry Amundson
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-09 20:19:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jerry Amundson 2007-01-17 06:07:39 UTC
Description of problem:
Compilation error.

Version-Release number of selected component (if applicable):
koffice-devel-1.6.1-4.fc6

How reproducible:
always.

Steps to Reproduce:
1. Obtain CVS of kmymoney
2. make -f Makefile.dist
3. ./configure --enable-charts
  
Actual results:
Failed compile

Expected results:
Successful compile

Additional info:
Fixed with this edit.
--- /usr/include/kdchart_export.h.orig  2006-11-17 09:11:38.000000000 -0600
+++ /usr/include/kdchart_export.h       2007-01-16 23:49:47.000000000 -0600
@@ -4,7 +4,7 @@
 #include <qglobal.h>
 
 #if 1
-#include <../../lib/kofficecore/koffice_export.h>
+#include <koffice_export.h>
 #else
 
 #if defined(Q_OS_WIN32) && defined(KDCHART_DLL)

Comment 1 Rex Dieter 2007-01-17 13:25:48 UTC
Has this been reported to upstream/koffice yet? (I *think* so, but was wondering
if you knew).

Comment 2 Andreas Bierfert 2007-01-17 14:47:11 UTC
I don't know if it has tough I think it probably was reported already.

Comment 3 Jerry Amundson 2007-01-17 15:05:11 UTC
Not that I see.
"Zarro Boogs found."

Comment 4 Rex Dieter 2007-02-26 13:53:05 UTC
I'll take care of this while updating to 1.6.2.

Comment 5 Rex Dieter 2007-04-09 20:19:22 UTC
Forgot to close this, fixed it awhile back...

%changelog
* Mon Feb 26 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.2-3
- kexi_export patch
- kdchart_export patch (#222965)


Note You need to log in before you can comment on or make changes to this bug.